Subject: Re: TZ variable setting for denx 2.4.20

From: Robin <[email-masked]>
Date: Fri, 07 Jan 2005 12:58:42 +0530

Hi
Thanx for your response. I am setting TZ variable as
given in the documentation.
   export TZ="xxx5:30yyy4:30,M10.1.1,M2.1.1"
Its working fine till Dec 31 23:59:59GMT. On Jan 01 00:00:00,
 its not taking DST into account at all.

Please tell me some way of setting it across an year boundary.
Thanks,
Robin

Marius Groeger wrote:

> Robin,
>
> On Thu, 6 Jan 2005, Robin wrote:
>
>> I have tried with the standard linux date too. That too doesnt seem 
>> to consider timezone variable that has been set. Can you give me a 
>> way for setting timezone for southern hemisphere countries?? The 
>> busybox code uses strftime function. But that does not seem to 
>> consider TZ variable...
>
>
> You should read up on how glibc handles all that timezone stuff:
>
>   sh# info libc "TZ Variable"
>
> Most notably, make sure you /etc/localtime is set up correctly. There 
> is also a tool (script) called tzselect which may be helpful for you.
>
> Note I'm not exactly an expert on this, I'm just giving pointers...
>
> Regards,
> Marius
>